patch/v1/organizations/{id}Update an organization. **Scopes**: `organizations:write`
curl -X PATCH "https://api.outception.com/v1/organizations/{id}" \
-H "Authorization: Bearer $OUTCEPTION_TOKEN" \
-H "Content-Type: application/json" \
-d '{ "name": "string", "avatar_url": "string", "email": "string", "website": "string", "socials": "string", "details": "string", "country": "string" }'Path parameters
idstring
required
Body
namestring | null
avatar_urlstring | null
emailstring | null
Public support email.
websitestring | null
Official website of the organization.
socialsarray<OrganizationSocialLink> | null
Links to social profiles.
detailsOrganizationDetails | null
Additional, private, business details Outception needs about active organizations for compliance (KYC).
countryenum | null
Two-letter country code (ISO 3166-1 alpha-2).
Response · 200
Successful Response
created_atstring
required
Creation timestamp of the object.
modified_atstring | null
required
Last modification timestamp of the object.
idstring
required
The ID of the object.
namestring
required
Organization name shown in emails, etc.
slugstring
required
Unique organization slug used in credit card statements.
avatar_urlstring | null
required
Avatar URL shown in emails, etc.
emailstring | null
required
Public support email.
websitestring | null
required
Official website of the organization.
socialsarray<OrganizationSocialLink>
required
Links to social profiles.
platformenum
required
The social platform of the URL
urlstring
required
The URL to the organization profile
statusenum
required
Current organization status
countryenum | null
Two-letter country code (ISO 3166-1 alpha-2).
capabilitiesOrganizationCapabilities
required
Capabilities currently granted to the organization.
api_accessboolean
required
Whether the organization can access the API.
dashboard_accessboolean
required
Whether the organization can access the dashboard.
Errors
404Organization not found.
422Validation Error